cmake_minimum_required(VERSION 2.6.2)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

project(ANN)

set(ANN_SRCS
ANN.cpp                brute.cpp              kd_search.cpp  kd_util.cpp
bd_fix_rad_search.cpp  kd_dump.cpp            kd_search.h    kd_util.h
bd_pr_search.cpp       kd_fix_rad_search.cpp  kd_split.cpp   Makefile
bd_search.cpp          kd_fix_rad_search.h    kd_split.h     perf.cpp
bd_tree.cpp            kd_pr_search.cpp       kd_tree.cpp    pr_queue.h
bd_tree.h              kd_pr_search.h         kd_tree.h      pr_queue_k.h
)

set(LIBRARY_OUTPUT_PATH ../lib)
include_directories(../include)
ADD_LIBRARY(ANN ${ANN_SRCS})
